#include <bits/stdc++.h>
#define MAXN 1000010
#define ll long long
using namespace std;
ll a[MAXN], b[MAXN];
ll sum;
int main()
{
    ll n, m; cin >> n >> m;
    for (ll i=0; i<n; i++)
    {
        for (ll j=0; j<m; j++)
        {
            ll x; cin >> x;
            sum+=x;
            if (i==0) a[j+1]=a[j]+x;
            if (i==1) b[j+1]=b[j]+x;
        }
    }
    if (n==2)
    {
        ll res=INT_MAX;
        for (ll i=1; i<=m; i++)
        {
            ll ans=a[m]-a[i];
            for (ll j=1; j<i; j++)
                ans+=(b[j]-b[j-1])*abs(i-j);
            res=min(res, ans);
        }
        cout << res << endl;
    }
    return 0;
}